CATAN(3)

SYNOPSIS
COMPLEX FUNCTION CATAN (Z)

NAME
catan - Compute the complex arc tangent.

LIBRARY
SLATEC (FNLIB)

CATEGORY
C4A

TYPE
COMPLEX (CATAN-C)

KEYWORDS
ARC TANGENT, ELEMENTARY FUNCTIONS, FNLIB, TRIGONOMETRIC

AUTHOR
Fullerton, W., (LANL)

DESCRIPTION
CATAN(Z) calculates the complex trigonometric arc tangent of Z. The result is in units of radians, and the real part is in the first or fourth quadrant.

REFERENCES
(NONE)

ROUTINES CALLED
R1MACH, XERMSG

REVISION HISTORY (YYMMDD)
770801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900326 Removed duplicate information from DESCRIPTION section. (WRB)